Page MenuHomePhabricator

Remember last used tab (auto/manual/re-use) on citation tool in a hidden preference and open to that one next time
Closed, ResolvedPublic8 Story Points

Description

In citation tool we have three tabs, automatic, manual and re-use.

If you use Manual or re-use then it should remember that preference and preselect it when next time you press the cite button.

Action of remembering should happen AFTER the first successful citation. It should be stored in a hidden user preference.

Event Timeline

Nirzar created this task.Jun 23 2015, 7:01 PM
Nirzar updated the task description. (Show Details)
Nirzar raised the priority of this task from to Needs Triage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2015, 7:01 PM
Jdforrester-WMF renamed this task from Remember last used tab on citation tool to Remember last used tab (auto/manual/re-use) on citation tool in a hidden preference and open to that one next time.Jun 23 2015, 7:17 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF edited a custom field.
Krenair updated the task description. (Show Details)Jun 24 2015, 11:04 PM
Mvolz moved this task from Backlog to Extension on the Citoid board.Jun 25 2015, 1:31 AM
Jdforrester-WMF closed this task as Resolved.Jun 26 2015, 3:25 PM
Jdforrester-WMF moved this task from Doing to Done on the VisualEditor 2014/15 Q4 blockers board.

Change 220663 merged by jenkins-bot:
Default mode to last mode used by user

https://gerrit.wikimedia.org/r/220663

Elitre added a subscriber: Elitre.Sep 30 2015, 2:56 PM

Is this currently broken?

I think so. Want to open a ticket?

(Don't we just reopen this one and mark it as a regression? If not, of course I will.)

I don't think so. I have a patch ready to go though, so...

Elitre added a comment.EditedSep 30 2015, 4:53 PM

On its way! See below.